Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkOpenGLRenderWindow Class Reference

`#include <vtkOpenGLRenderWindow.h>`

Inheritance diagram for vtkOpenGLRenderWindow:

[legend]
Collaboration diagram for vtkOpenGLRenderWindow:

[legend]
List of all members.

## Detailed Description

OpenGL rendering window.

Date:
  2003/01/26 00:05:28

Revision:
  1.37

vtkOpenGLRenderWindow is a concrete implementation of the abstract class vtkRenderWindow. vtkOpenGLRenderer interfaces to the OpenGL graphics library. Application programmers should normally use vtkRenderWindow instead of the OpenGL specific version.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (32%)
  - Geveci, Berk (22%)
  - Martin, Ken (18%)
  - Miller, Jim (10%)
  - Lorensen, Bill (6%)

CVS logs (CVSweb):
  - .`h` (`/Rendering/vtkOpenGLRenderWindow.h)`
  - .`cxx` (`/Rendering/vtkOpenGLRenderWindow.cxx)`

Definition at line 55 of file vtkOpenGLRenderWindow.h.

## Public Types
typedef vtkRenderWindow | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | StereoUpdate ()
void | MakeCurrent ()=0
void | RegisterTextureResource (GLuint id)
int | GetDepthBufferSize ()
virtual void | OpenGLInit ()
virtual void | SetMultiSamples (int)
virtual int | GetMultiSamples ()
virtual unsigned char * | GetPixelData (int x, int y, int x2, int y2, int front)
virtual int | GetPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *)
virtual int | SetPixelData (int x, int y, int x2, int y2, unsigned char *, int front)
virtual int | SetPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *, int front)
virtual float * | GetRGBAPixelData (int x, int y, int x2, int y2, int front)
virtual int | GetRGBAPixelData (int x, int y, int x2, int y2, int front, vtkFloatArray *data)
virtual int | SetRGBAPixelData (int x, int y, int x2, int y2, float *, int front, int blend=0)
virtual int | SetRGBAPixelData (int x, int y, int x2, int y2, vtkFloatArray *, int front, int blend=0)
virtual void | ReleaseRGBAPixelData (float *data)
virtual unsigned char * | GetRGBACharPixelData (int x, int y, int x2, int y2, int front)
virtual int | GetRGBACharPixelData (int x, int y, int x2, int y2, int front, vtkUnsignedCharArray *data)
virtual int | SetRGBACharPixelData (int x, int y, int x2, int y2, unsigned char *, int front, int blend=0)
virtual int | SetRGBACharPixelData (int x, int y, int x2, int y2, vtkUnsignedCharArray *, int front, int blend=0)
virtual float * | GetZbufferData (int x1, int y1, int x2, int y2)
virtual int | GetZbufferData (int x1, int y1, int x2, int y2, vtkFloatArray *z)
virtual int | SetZbufferData (int x1, int y1, int x2, int y2, float *buffer)
virtual int | SetZbufferData (int x1, int y1, int x2, int y2, vtkFloatArray *buffer)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkOpenGLRenderWindow * | SafeDownCast (vtkObject *o)
void | SetGlobalMaximumNumberOfMultiSamples (int val)
int | GetGlobalMaximumNumberOfMultiSamples ()
## Protected Methods
| vtkOpenGLRenderWindow ()
| ~vtkOpenGLRenderWindow ()
int | GetPixelData (int x, int y, int x2, int y2, int front, unsigned char *data)
int | GetZbufferData (int x1, int y1, int x2, int y2, float *z)
int | GetRGBAPixelData (int x, int y, int x2, int y2, int front, float *data)
int | GetRGBACharPixelData (int x, int y, int x2, int y2, int front, unsigned char *data)
## Protected Attributes
int | MultiSamples
long | OldMonitorSetting
vtkIdList * | TextureResourceIds

## Member Typedef Documentation

typedef vtkRenderWindow vtkOpenGLRenderWindow::Superclass

| Reimplemented from vtkRenderWindow. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, and vtkXOpenGLRenderWindow. Definition at line 62 of file vtkOpenGLRenderWindow.h.

## Constructor & Destructor Documentation

vtkOpenGLRenderWindow::vtkOpenGLRenderWindow | ( |  | ) | `[protected]`

vtkOpenGLRenderWindow::~vtkOpenGLRenderWindow | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkOpenGLRenderWindow::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkRenderWindow. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, and vtkXOpenGLRenderWindow.

int vtkOpenGLRenderWindow::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRenderWindow. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, and vtkXOpenGLRenderWindow.

virtual int vtkOpenGLRenderWindow::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkRenderWindow. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, and vtkXOpenGLRenderWindow.

vtkOpenGLRenderWindow* vtkOpenGLRenderWindow::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkRenderWindow. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, and vtkXOpenGLRenderWindow.

void vtkOpenGLRenderWindow::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkRenderWindow. Reimplemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, and vtkXOpenGLRenderWindow.

void vtkOpenGLRenderWindow::SetGlobalMaximumNumberOfMultiSamples | ( | int | val | ) | `[static]`

| Set/Get the maximum number of multisamples

int vtkOpenGLRenderWindow::GetGlobalMaximumNumberOfMultiSamples | ( |  | ) | `[static]`

| Set/Get the maximum number of multisamples

virtual void vtkOpenGLRenderWindow::SetMultiSamples | ( | int |  | ) | `[virtual]`

| Set / Get the number of multisamples to use for hardware antialiasing. Reimplemented in vtkCarbonRenderWindow, and vtkCocoaRenderWindow.

virtual int vtkOpenGLRenderWindow::GetMultiSamples | ( |  | ) | `[virtual]`

| Set / Get the number of multisamples to use for hardware antialiasing. Reimplemented in vtkCarbonRenderWindow, and vtkCocoaRenderWindow.

virtual void vtkOpenGLRenderWindow::StereoUpdate | ( |  | ) | `[virtual]`

| Update system if needed due to stereo rendering. Reimplemented from vtkRenderWindow. Reimplemented in vtkCocoaRenderWindow.

virtual unsigned char* vtkOpenGLRenderWindow::GetPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBRGB... Implements vtkWindow.

virtual int vtkOpenGLRenderWindow::GetPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | vtkUnsignedCharArray * |
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBRGB... Implements vtkWindow.

virtual int vtkOpenGLRenderWindow::SetPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | unsigned char * | ,
|  | int | front
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBRGB... Implements vtkRenderWindow.

virtual int vtkOpenGLRenderWindow::SetPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | vtkUnsignedCharArray * | ,
|  | int | front
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBRGB... Implements vtkRenderWindow.

virtual float* vtkOpenGLRenderWindow::GetRGBAPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual int vtkOpenGLRenderWindow::GetRGBAPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | vtkFloatArray * | data
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual int vtkOpenGLRenderWindow::SetRGBAPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | float * | ,
|  | int | front,
|  | int | blend = 0
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual int vtkOpenGLRenderWindow::SetRGBAPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | vtkFloatArray * | ,
|  | int | front,
|  | int | blend = 0
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual void vtkOpenGLRenderWindow::ReleaseRGBAPixelData | ( | float * | data | ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual unsigned char* vtkOpenGLRenderWindow::GetRGBACharPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual int vtkOpenGLRenderWindow::GetRGBACharPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | vtkUnsignedCharArray * | data
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual int vtkOpenGLRenderWindow::SetRGBACharPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | unsigned char * | ,
|  | int | front,
|  | int | blend = 0
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual int vtkOpenGLRenderWindow::SetRGBACharPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | vtkUnsignedCharArray * | ,
|  | int | front,
|  | int | blend = 0
| ) | `[virtual]`

| Set/Get the pixel data of an image, transmitted as RGBARGBA... Implements vtkRenderWindow.

virtual float* vtkOpenGLRenderWindow::GetZbufferData | ( | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2
| ) | `[virtual]`

| Set/Get the zbuffer data from an image Implements vtkRenderWindow.

virtual int vtkOpenGLRenderWindow::GetZbufferData | ( | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | vtkFloatArray * | z
| ) | `[virtual]`

| Set/Get the zbuffer data from an image Implements vtkRenderWindow.

virtual int vtkOpenGLRenderWindow::SetZbufferData | ( | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | float * | buffer
| ) | `[virtual]`

| Set/Get the zbuffer data from an image Implements vtkRenderWindow.

virtual int vtkOpenGLRenderWindow::SetZbufferData | ( | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | vtkFloatArray * | buffer
| ) | `[virtual]`

| Set/Get the zbuffer data from an image Implements vtkRenderWindow.

void vtkOpenGLRenderWindow::MakeCurrent | ( |  | ) | `[pure virtual]`

| Make this window the current OpenGL context. Implements vtkRenderWindow. Implemented in vtkCarbonRenderWindow, vtkCocoaRenderWindow, vtkWin32OpenGLRenderWindow, vtkWinCEOpenGLRenderWindow, and vtkXOpenGLRenderWindow.

void vtkOpenGLRenderWindow::RegisterTextureResource | ( | GLuint | id | ) |

| Register a texture name with this render window. Reimplemented in vtkCocoaRenderWindow.

int vtkOpenGLRenderWindow::GetDepthBufferSize | ( |  | ) | `[virtual]`

| Get the size of the depth buffer. Implements vtkRenderWindow. Reimplemented in vtkCarbonRenderWindow, and vtkCocoaRenderWindow.

virtual void vtkOpenGLRenderWindow::OpenGLInit | ( |  | ) | `[virtual]`

| Initialize OpenGL for this window. Reimplemented in vtkCocoaRenderWindow.

int vtkOpenGLRenderWindow::GetPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | unsigned char * | data
| ) | `[protected]`

| Reimplemented in vtkCocoaRenderWindow.

int vtkOpenGLRenderWindow::GetZbufferData | ( | int | x1,
|  | int | y1,
|  | int | x2,
|  | int | y2,
|  | float * | z
| ) | `[protected]`

| Reimplemented in vtkCocoaRenderWindow.

int vtkOpenGLRenderWindow::GetRGBAPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | float * | data
| ) | `[protected]`

| Reimplemented in vtkCocoaRenderWindow.

int vtkOpenGLRenderWindow::GetRGBACharPixelData | ( | int | x,
|  | int | y,
|  | int | x2,
|  | int | y2,
|  | int | front,
|  | unsigned char * | data
| ) | `[protected]`

| Reimplemented in vtkCocoaRenderWindow.

## Member Data Documentation

int vtkOpenGLRenderWindow::MultiSamples`[protected]`

| Reimplemented in vtkCocoaRenderWindow. Definition at line 58 of file vtkOpenGLRenderWindow.h.

long vtkOpenGLRenderWindow::OldMonitorSetting`[protected]`

| Definition at line 59 of file vtkOpenGLRenderWindow.h.

vtkIdList* vtkOpenGLRenderWindow::TextureResourceIds`[protected]`

| Reimplemented in vtkCocoaRenderWindow. Definition at line 139 of file vtkOpenGLRenderWindow.h.

The documentation for this class was generated from the following file:

- Rendering/vtkOpenGLRenderWindow.h